Index: calculatorview/src/sans/perspectives/calculator/model_editor.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/model_editor.py	(revision cdc2ee2780d2f4b70159d7c8c64bee184ffda562)
+++ calculatorview/src/sans/perspectives/calculator/model_editor.py	(revision 41a8cb3c3ae33f76bb9b7135a02ad7b41d487750)
@@ -19,12 +19,12 @@
     FONT_VARIANT = 0
     PNL_WIDTH = 460
-    PNL_HITE = 300
+    PNL_HITE = 320
 else:
     FONT_VARIANT = 1
     PNL_WIDTH = 500
-    PNL_HITE = 370
+    PNL_HITE = 400
 M_NAME = 'SumModel'
 EDITOR_WIDTH = 800
-EDITOR_HEIGTH = 700
+EDITOR_HEIGTH = 720
 PANEL_WIDTH = 500
 _BOX_WIDTH = 51
@@ -74,4 +74,7 @@
         self.model1_string = "SphereModel"
         self.model2_string = "CylinderModel"
+        self._notes = ''
+        self._msg_box = None
+        self.msg_sizer = None
         self._build_sizer()
         self.model1_name = str(self.model1.GetValue())
@@ -152,4 +155,8 @@
         #explanation  += "  Note: This will overwrite the previous sum model.\n"
         model_string = " Model%s (p%s):"
+        # msg
+        self._msg_box = wx.StaticText(self, -1, self._notes)
+        self.msg_sizer = wx.BoxSizer(wx.HORIZONTAL)
+        self.msg_sizer.Add(self._msg_box, 0, wx.LEFT, 0)
         vbox.Add(self.name_hsizer)
         vbox.Add(self.desc_sizer)
@@ -174,4 +181,6 @@
         vbox.Add((10,10))
         vbox.Add(self.static_line_1, 0, wx.EXPAND, 10)
+        vbox.Add(self.msg_sizer, 0, 
+                 wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE|wx.BOTTOM, 10)
         sizer_button = wx.BoxSizer(wx.HORIZONTAL)
         sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
@@ -214,7 +223,13 @@
                 wx.MessageBox(msg, info)  
                 self._notes = msg
+                color = 'red'
+                self._msg_box.SetLabel(msg)
+                self._msg_box.SetForegroundColour(color)
                 return self.good_name
         self.fname = os.path.join(self.plugin_dir, t_fname)
-        self._notes = "SumModel function (%s) has been set. \n" % str(title)
+        s_title = title
+        if len(title) > 20:
+            s_title = title[0:19] + '...'
+        self._notes = "SumModel function (%s) has been set! \n" % str(s_title)
         self.good_name = True
         self.on_apply(self.fname)
@@ -235,7 +250,11 @@
             msg = self._notes
             info = 'Infor'
+            color = 'blue'
         except:
             msg= "Easy Custom Sum: Error occurred..."
             info = 'Error'
+            color = 'red'
+        self._msg_box.SetLabel(msg)
+        self._msg_box.SetForegroundColour(color)
         if self.parent.parent != None:
             from sans.guiframe.events import StatusEvent 
@@ -350,4 +369,6 @@
         self.function_strings = ''
         self._notes = ""
+        self._msg_box = None
+        self.msg_sizer = None
         self.warning = ""
         self._description = "New Custom Model"
@@ -369,4 +390,5 @@
         self.function_sizer = wx.BoxSizer(wx.VERTICAL)
         self.button_sizer = wx.BoxSizer(wx.HORIZONTAL)
+        self.msg_sizer = wx.BoxSizer(wx.HORIZONTAL)
         
     def _layout_name(self):
@@ -444,5 +466,11 @@
         self.function_sizer.Add(function_txt, 0, wx.LEFT, 10)
         self.function_sizer.Add( self.function_tcl, 1, wx.EXPAND|wx.ALL, 10)
-
+        
+    def _layout_msg(self):
+        """
+        Layout msg
+        """
+        self._msg_box = wx.StaticText(self, -1, self._notes)
+        self.msg_sizer.Add(self._msg_box, 0, wx.LEFT, 10)  
                     
     def _layout_button(self):  
@@ -462,5 +490,5 @@
                                    (self.bt_close, 0, 
                                     wx.LEFT|wx.BOTTOM, 15)])
-        
+          
     def _do_layout(self):
         """
@@ -472,4 +500,5 @@
         self._layout_param()
         self._layout_function()
+        self._layout_msg()
         self._layout_button()
         self.main_sizer.AddMany([(self.name_sizer, 0,  
@@ -489,4 +518,6 @@
                                  (wx.StaticLine(self), 0, 
                                        wx.ALL|wx.EXPAND, 5),
+                                 (self.msg_sizer, 0, 
+                                        wx.EXPAND|wx.ALL, 5),
                                 (self.button_sizer, 0,
                                          wx.EXPAND|wx.ALL, 5)])
@@ -513,4 +544,5 @@
         Check name if exist already
         """
+        self._notes = ''
         self.on_change_name(None)
         plugin_dir = self.path
@@ -525,6 +557,9 @@
                 return False
         self.fname = os.path.join(plugin_dir, t_fname)
+        s_title = title
+        if len(title) > 20:
+            s_title = title[0:19] + '...'
         self._notes += "Model function name set "
-        self._notes += "to %s. \n" % str(title)
+        self._notes += "to %s. \n" % str(s_title)
         return True
     
@@ -575,8 +610,15 @@
                 self.base.update_custom_combo()
             msg = "Successful!!!"
+            msg += "  " + self._notes
+            msg += " Please look for it in the 'Customized Models' box."
             info = 'Info'
+            color = 'blue'
         else:
             info = 'Error'
+            color = 'red'
             wx.MessageBox(msg, info)  
+        
+        self._msg_box.SetLabel(msg)
+        self._msg_box.SetForegroundColour(color)
         # Send msg to the top window  
         if self.base != None:
